List Twilio connections
curl --request GET \
--url https://guidinghand.ai/v1/phone_connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/phone_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/phone_connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "phone_connection",
"id": "pc_8c1d2e3f9a0c1d2e4b5a6978",
"provider": "twilio",
"name": "Acme support",
"account_sid": "<string>",
"api_key_sid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"trial": true,
"numbers": 123
}
],
"available": true,
"pricing": {
"minute_cents": 7.5
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Phone numbers
List Twilio connections
The Twilio accounts the org connected, to bring their numbers.
GET
/
v1
/
phone_connections
List Twilio connections
curl --request GET \
--url https://guidinghand.ai/v1/phone_connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/phone_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/phone_connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "phone_connection",
"id": "pc_8c1d2e3f9a0c1d2e4b5a6978",
"provider": "twilio",
"name": "Acme support",
"account_sid": "<string>",
"api_key_sid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"trial": true,
"numbers": 123
}
],
"available": true,
"pricing": {
"minute_cents": 7.5
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.